package com.example.beijingnopowercon;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import com.example.beijingnopowercon.base.MyApplication;
import com.example.beijingnopowercon.data.LoginUser;
import com.example.beijingnopowercon.data.LoginVm;
import com.example.beijingnopowercon.databinding.ActivityLoginBinding;
import com.example.beijingnopowercon.dialog.LoadDialog;
import com.example.beijingnopowercon.okgo.MyRecultCall;
import com.example.beijingnopowercon.okgo.MyResult;
import com.example.beijingnopowercon.uitls.SharedPreferencesUtils;
import com.google.gson.Gson;
import com.lzy.okgo.OkGo;
import com.lzy.okgo.model.Response;

public class LoginActivity extends AppCompatActivity {
    private LoginVm loginVm;
    private Context context;
    private LoadDialog dialog;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityLoginBinding binding = DataBindingUtil.setContentView(this, R.layout.activity_login);
        boolean isRemember = SharedPreferencesUtils.getboolean("isRemember", false);
        loginVm = new LoginVm();
        if (isRemember) {
            loginVm.setName(SharedPreferencesUtils.getstring("user", ""));
            loginVm.setPass(SharedPreferencesUtils.getstring("pass", ""));
            loginVm.setRemember(isRemember);
        }
        binding.setUser(loginVm);
        // EasyUpdate.checkUpdate(this, url + "/getVersion");
        context = this;
        dialog = new LoadDialog(this);
    }

    public void loginSubmit(View view) {
        String pass = loginVm.getPass();
        String name = loginVm.getName();
        if (pass == null || name == null || pass.isEmpty() || name.isEmpty()) return;

        OkGo.<MyResult>get(MyApplication.url + "/login/finduser").tag(this).params("name", name).params("pass", pass).execute(new MyRecultCall(dialog, this) {
            @Override
            public void onSuccess(Response<MyResult> response) {
                super.onSuccess(response);
                MyResult body = response.body();
                if (body.getCode() == 0) {
                    LoginUser user = new Gson().fromJson(body.getDataJson(), LoginUser.class);
                    SharedPreferencesUtils.putLong("userId",user.getUserId());
                    SharedPreferencesUtils.putLong("deptId",user.getDeptId());
                    boolean remember = loginVm.isRemember();
                    if (remember) {
                        SharedPreferencesUtils.putboolean("isRemember", remember);
                        SharedPreferencesUtils.putstring("user", name);
                        SharedPreferencesUtils.putstring("pass", pass);
                        Intent intent = new Intent(context, MainActivity.class);
                        startActivity(intent);

                        finish();
                    }
                    Toast.makeText(context, body.getMsg(), Toast.LENGTH_SHORT).show();
                }
            }
        });


    }
}