package com.example.beijingnopowercon.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;
import androidx.recyclerview.widget.RecyclerView;

import com.example.beijingnopowercon.BR;
import com.example.beijingnopowercon.R;
import com.example.beijingnopowercon.data.RecordUse;
import com.example.beijingnopowercon.databinding.ItemRecordBinding;

import java.util.List;

public class RecordListAdapter extends RecyclerView.Adapter<RecordListAdapter.MyViewHoder> {
    private List<RecordUse> list;
    private Context context;
    private LayoutInflater inflater;

    public RecordListAdapter(Context context) {
        this.context = context;
        inflater = LayoutInflater.from(context);
    }

    public void setList(List<RecordUse> list) {
        this.list = list;
    }

    @NonNull
    @Override
    public MyViewHoder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        ItemRecordBinding binding = DataBindingUtil.inflate(inflater, R.layout.item_record, parent, false);
        return new MyViewHoder(binding);
    }

    @Override
    public void onBindViewHolder(@NonNull MyViewHoder holder, int position) {
        holder.binding.setVariable(BR.data, list.get(position));
    }

    @Override
    public int getItemCount() {
        return list == null ? 0 : list.size();
    }

    public class MyViewHoder extends RecyclerView.ViewHolder {
        private ItemRecordBinding binding;

        public MyViewHoder(ItemRecordBinding binding) {
            super(binding.getRoot());
            this.binding = binding;
        }
    }
}
