package com.example.beijingnopowercon.dialog;

import android.app.Dialog;
import android.content.Context;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.Window;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;
import androidx.databinding.ViewDataBinding;

import com.example.beijingnopowercon.R;
import com.example.beijingnopowercon.data.DeviceInfo;
import com.example.beijingnopowercon.databinding.DialogDeviceInfoBinding;

public class SanInfoDialog extends Dialog {

    private DeviceInfo  deviceInfo;
    private SanInfoDialogCall call;

    public void setCall(SanInfoDialogCall call) {
        this.call = call;
    }

    public void setDeviceInfo(DeviceInfo deviceInfo) {
        this.deviceInfo = deviceInfo;
    }
   private DialogDeviceInfoBinding binding;
    public SanInfoDialog(@NonNull Context context) {
        super(context,R.style.dialog);
        binding = DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.dialog_device_info, null, false);
        setContentView(binding.getRoot());
        binding.dialogClose.setOnClickListener(v -> dismiss());
        binding.dialogButtonOpen.setOnClickListener(v -> call.openDeviceLockRequest(deviceInfo));
        // 获取 Window 对象并设置属性
        Window window = this.getWindow();
        window.setGravity(Gravity.BOTTOM); // 设置在底部


    }



    public interface SanInfoDialogCall{
        void openDeviceLockRequest(DeviceInfo  deviceInfo);
    }

    @Override
    public void show() {
        super.show();
        Log.e("TAG", "show:" +123);
        binding.setData(deviceInfo);
    }
}
