package com.example.beijingnopowercon.ui.gallery;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;

import com.example.beijingnopowercon.adapter.RecordListAdapter;
import com.example.beijingnopowercon.base.BaseFragment;
import com.example.beijingnopowercon.data.RecordUse;
import com.example.beijingnopowercon.databinding.FragmentGalleryBinding;
import com.example.beijingnopowercon.okgo.MyRecultCall;
import com.example.beijingnopowercon.okgo.MyResult;
import com.google.gson.reflect.TypeToken;
import com.lzy.okgo.OkGo;
import com.lzy.okgo.model.Response;

import java.util.List;

import okhttp3.MediaType;
import okhttp3.RequestBody;

public class GalleryFragment extends BaseFragment {

    private FragmentGalleryBinding binding;
    private RecordListAdapter adapter;
    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        GalleryViewModel galleryViewModel =
                new ViewModelProvider(this).get(GalleryViewModel.class);
        binding = FragmentGalleryBinding.inflate(inflater, container, false);
        adapter=new RecordListAdapter(context);
        binding.recordRecycler.setAdapter(adapter);
        initRequest();
        return binding.getRoot();
    }

    private void initRequest() {
        OkGo.<MyResult>post(url + "/record/selectUseList")
                .execute(new MyRecultCall(dialog, context) {
                    @Override
                    public void onSuccess(Response<MyResult> response) {
                        super.onSuccess(response);
                        MyResult body = response.body();
                        if (body.getCode()==0){
                            List<RecordUse> list=gson.fromJson(body.getDataJson(),new TypeToken<List<RecordUse>>(){}.getType());
                            adapter.setList(list);
                            adapter.notifyDataSetChanged();


                            return;
                        }
                        Toast.makeText(context, body.getMsg(), Toast.LENGTH_LONG).show();
                    }
                });

    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
    }
}